package com.ruoyi.project.training.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员-装置级培训关系对象 t_training_device
 *
 * @author ruoyi
 * @date 2021-06-23
 */
public class TTrainingDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 人员员工号 */
    @Excel(name = "人员员工号")
    private String staffId;

    /** 装置级培训ID(对应数据库T_TRAINING） */
    @Excel(name = "装置级培训ID")
    private Long regularId;

    /** 培训分类 */
    @Excel(name = "培训分类", dictType = "TRAINING_TYPE")
    private String trainingType;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 课程代码 */
    @Excel(name = "课程代码")
    private String courseCode;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String item;

    /** 授课人 */
    @Excel(name = "授课人")
    private String lecturer;
    private String lecturerName;

    /** 课时 */
    @Excel(name = "课时")
    private String hour;

    /** 计划培训时间 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    @Excel(name = "计划培训时间", width = 30, dateFormat = "yyyy-MM")
    private Date planTrainingdate;

    /** 是否为补培人员 */
    @Excel(name = "是否为补培人员")
    private String supplementary;

    /** 年份 */
    private String year;

    private String units;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setRegularId(Long regularId)
    {
        this.regularId = regularId;
    }

    public Long getRegularId()
    {
        return regularId;
    }
    public String getTrainingType() {
        return trainingType;
    }

    public void setTrainingType(String trainingType) {
        this.trainingType = trainingType;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setLecturer(String lecturer)
    {
        this.lecturer = lecturer;
    }

    public String getLecturer()
    {
        return lecturer;
    }
    public void setHour(String hour)
    {
        this.hour = hour;
    }

    public String getHour()
    {
        return hour;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setPlanTrainingdate(Date planTrainingdate)
    {
        this.planTrainingdate = planTrainingdate;
    }

    public Date getPlanTrainingdate()
    {
        return planTrainingdate;
    }
    public String getLecturerName() { return lecturerName; }

    public void setLecturerName(String lecturerName) { this.lecturerName = lecturerName; }
    public void setSupplementary(String supplementary) { this.supplementary = supplementary; }

    public String getSupplementary() { return supplementary; }
    public void setYear(String year) { this.year = year; }

    public String getYear() { return year; }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("regularId", getRegularId())
            .append("startDate", getStartDate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("courseCode", getCourseCode())
            .append("item", getItem())
            .append("planTrainingdate", getPlanTrainingdate())
            .append("lecturer", getLecturer())
            .append("hour", getHour())
            .toString();
    }
}
